Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes.support
Class WsdlLoadTestsModelItem.InternalTestSuiteListener

    java.lang.Object
      com.eviware.soapui.model.support.TestSuiteListenerAdapter
          com.eviware.soapui.model.tree.nodes.support.WsdlLoadTestsModelItem.InternalTestSuiteListener

All Implemented Interfaces:
  TestSuiteListener

Enclosing class:
  WsdlLoadTestsModelItem

    public class WsdlLoadTestsModelItem.InternalTestSuiteListener

extends TestSuiteListenerAdapter
implements TestSuiteListener

Constructor Summary
`WsdlLoadTestsModelItem.InternalTestSuiteListener()`

Method Summary
`void` | `loadTestAdded(LoadTest loadTest)`
`void` | `loadTestRemoved(LoadTest loadTest)`
`void` | `testCaseRemoved(TestCase testCase)`

Methods inherited from class com.eviware.soapui.model.support.TestSuiteListenerAdapter
`testCaseAdded, testCaseMoved, testStepAdded, testStepMoved, testStepRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.testsuite.TestSuiteListener
`testCaseAdded, testCaseMoved, testStepAdded, testStepMoved, testStepRemoved`

Constructor Detail

### WsdlLoadTestsModelItem.InternalTestSuiteListener

    public WsdlLoadTestsModelItem.InternalTestSuiteListener()

Method Detail

### loadTestAdded

    public void loadTestAdded(LoadTest loadTest)

  Specified by:
    `loadTestAdded` in interface `TestSuiteListener`
  Overrides:
    `loadTestAdded` in class `TestSuiteListenerAdapter`

### loadTestRemoved

    public void loadTestRemoved(LoadTest loadTest)

  Specified by:
    `loadTestRemoved` in interface `TestSuiteListener`
  Overrides:
    `loadTestRemoved` in class `TestSuiteListenerAdapter`

### testCaseRemoved

    public void testCaseRemoved(TestCase testCase)

  Specified by:
    `testCaseRemoved` in interface `TestSuiteListener`
  Overrides:
    `testCaseRemoved` in class `TestSuiteListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.